gnutls_strerror_name(3)

NAME
gnutls_strerror_name - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const char * gnutls_strerror_name(int error);

ARGUMENTS

int error
    is an error returned by a gnutls function.

DESCRIPTION
Return the GnuTLS error code define as a string. For example, gnutls_strerror_name (GNUTLS_E_DH_PRIME_UNACCEPTABLE) will return the string "GNUTLS_E_DH_PRIME_UNACCEPTABLE".

RETURNS
A string corresponding to the symbol name of the error code.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.